Bug 483318 - kdevelop : Unowned directories
kdevelop : Unowned directories
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdevelop (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-30 15:28 EST by Michael Schwendt
Modified: 2009-07-28 14:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-31 13:52:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2009-01-30 15:28:30 EST
One or more directories are not included within this
package and/or its sub-packages:

=> kdevelop-3.5.4-1.fc11.src.rpm
=> 9:kdevelop-3.5.4-1.fc11.i386 (rawhide-development-i386)
/usr/lib/kconf_update_bin

[...]

Further information:

https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which
does create that directory.

https://fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
https://fedoraproject.org/wiki/Packaging/UnownedDirectories

The script to find unowned directories is not complete yet, but
still quite usable: http://mschwendt.fedorapeople.org/dircheck-remote.py
$ ./dircheck-remote.py -r rawhide -n kdevelop
Comment 1 Rex Dieter 2009-01-31 13:52:27 EST
added ownership to kdelibs3 (and kdelibs(4))
Comment 2 Fedora Update System 2009-07-26 04:45:27 EDT
kdelibs3-3.5.10-13.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kdelibs3-3.5.10-13.fc10
Comment 3 Fedora Update System 2009-07-28 14:28:13 EDT
kdelibs3-3.5.10-13.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.